Package Details: cenon 4.0.2-2

Git Clone URL: (read-only)
Package Base: cenon
Description: GNUstep vector editor for EPS, DXF, Gerber, HPGL. Includes docs and examples.
Upstream URL:
Licenses: custom:vhfPL
Submitter: keenerd
Maintainer: keenerd
Last Packager: keenerd
Votes: 1
Popularity: 0.000000
First Submitted: 2010-11-16 18:19
Last Updated: 2016-10-13 01:07

Latest Comments

keenerd commented on 2016-10-13 01:07

Quick hacky patch applied. I will clean that up more tomorrow. And while the build completes, still more work is needed to make Cenon actually run.

I was not able to find any email from you but spam is automatically deleted after 30 days. I will check my spam more often.

yair commented on 2016-10-13 00:44

Sent you email August 22, check your spam. So do you like to keep this package?

keenerd commented on 2016-10-13 00:18

Sorry, I don't follow the forum.

Try emailing people next time. We have our emails at the top of every pkgbuild for a reason.

Thanks for chasing down that patch. Should have that applied shortly.

yair commented on 2016-10-12 19:24

getting help on the forum

yair commented on 2016-02-25 06:32

i used this patch as referance;bug=749553;att=1;filename=749553.patch

and it compiles. this is my patched TileScrollView.m >

i need help turning this into a valid patch, as i replaced offending lines manually.

yair commented on 2016-02-25 05:22

more info, hopeful it will help
make log >
same error on debian builds >

imran27 commented on 2016-01-06 10:58

Same here, fails to compile. Same error as mentioned by @yair

yair commented on 2015-03-16 12:37

fails to compile
error:pointer value used where a floating point value was expected

Jarshvor commented on 2015-01-15 23:19

links seem to be down,
new sources:

ashbreeze commented on 2014-01-27 20:12

I put the correct md5sum in the PKGBUILD file, It compiles fully, but it still fails to run. Cenon give error that I need to install the libraries. However, they seem to be where they are suppose to be.

Alister.Hood commented on 2013-07-01 12:04

> Even if I skip that check

Maybe we should anyway, since they obviously update the PDF every now and then.

Alister.Hood commented on 2013-07-01 12:02

Even if I skip that check, at the moment I get this error:

Linking app Cenon ...
/usr/lib/ undefined reference to `QuantizeBuffer'

beroal commented on 2012-10-28 10:48

==> Validating source files with md5sums...
Cenon-3.9.6.tar.bz2 ... Passed
CenonLibrary-3.9.4-1.tar.bz2 ... Passed
Cenon_gb.pdf ... FAILED
gcc47.patch ... Passed
==> ERROR: One or more files did not pass the validity check!

sergej commented on 2012-05-03 10:02

gcc47.patch is missing

keenerd commented on 2012-04-20 17:56

Finally got something to build. Seems a bit glitchy, so debug symbols are left in. Happy stracing.

keenerd commented on 2011-07-12 22:55

The 3.9.4 update has been a royal pain to build. Anyone else have success?

keenerd commented on 2011-01-23 21:02

Updated to 3.9.3. Compiles and runs fine here, though reports its version as 3.9.2.

You'll have to provide more details.

MrBlister commented on 2011-01-23 19:01

MD5sum is wrong for
However, correcting this still results in a compile error.
Ver 3.9.3 is out. This compiles but doesn't run, complains:
"Did not find correct version of backend (libgnustep-back-018.bundle)"